class InboxCounter {
  static const CLICK = "click";
  static const SENT = "sent";
  static const DELETED = "deleted";
  static const UNREAD = "unread";

  var click = 0;
  var sent = 0;
  var deleted = 0;
  Unread? unread;

  /// Construcotr of Inbox Counters
  ///
  /// Param Map
  InboxCounter(Map map) {
    map.forEach((key, value) {
      if (key == CLICK) click = int.parse(value.toString());
      if (key == SENT) sent = int.parse(value.toString());
      if (key == DELETED) deleted = int.parse(value.toString());
      if (key == UNREAD) unread = Unread(value);
    });
  }
}

class Unread {
  static const COUNT = "count";
  static const LAST_ACCESS = "lastAccess";

  int count = 0;
  String? lastAccess;

  ///Constructor of Unread counters
  ///
  /// param with Map
  Unread(Map map) {
    map.forEach((key, value) {
      if (key == COUNT) count = int.parse(value.toString());
      if (key == LAST_ACCESS) lastAccess = value.toString();
    });
  }
}
