#import <Flutter/Flutter.h>
#import <Indigitall/Indigitall.h>

@interface IndigitallInboxFlutterPlugin : NSObject<GetAuthConfig>
@property (nonatomic)NSDictionary * _Nullable auth;

- (void) setAuth: (NSDictionary *)auth;
- (NSDictionary *_Nonnull)getAuthConfig;
- (void) getInboxMessagesCount: (FlutterResult _Nonnull)result;
- (void) getInboxWithSuccess: (void(^)(Inbox *inbox))onSuccess result:(FlutterResult _Nonnull)result;
- (void) getNextPage: (Inbox *)inbox result:(FlutterResult _Nonnull)result;
- (void) massiveEditNotificationsWithSendingIdsList: (NSDictionary *_Nullable)params inbox:(Inbox *)inbox result: (FlutterResult _Nonnull)result;
- (void) getInfoFromNotificationWithSendingId: (NSDictionary *_Nullable)params inbox:(Inbox *)inbox result: (FlutterResult _Nonnull)result;
- (void) modifyStatusFromNotificationWithSendingId: (NSDictionary *_Nullable)params inbox:(Inbox *)inbox result: (FlutterResult _Nonnull)result;

@end
