class InAppSchema {
  static const String SCHEMA = "schema";

  static const String _CODE = "code";
  static const String _WIDTH = "width";
  static const String _HEIGHT = "height";

  String? code;
  int? width;
  int? height;

  /// Construcotr of InAppSchema
  InAppSchema(Map map) {
    if (map[_WIDTH] != null) width = int.parse(map[_WIDTH].toString());
    if (map[_CODE] != null) code = map[_CODE].toString();
    if (map[_HEIGHT] != null) height = int.parse(map[_HEIGHT].toString());
  }

  /// Conversion to Map
  Map toMap() {
    Map map = Map();
    if (width != null) map[_WIDTH] = width;
    if (code != null) map[_CODE] = code;
    if (height != null) map[_HEIGHT] = height;
    return map;
  }
}
